# NiceWeatherPack
## Installation
  1. Install a mod manager that can automatically install dependencies **and** handle modpack (packages that include a `.modpack` file) installation. (Ebkr's excellent [r2modman](https://thunderstore.io/package/ebkr/r2modman/) is the **ONLY** manager that I know of that currently supports both of these. Using another manager might result in version mismatch and multiplayer issues.)

  2. Install the **NiceWeatherPack** "mod" to automatically install all of the mods and configure them.
      - With r2modman, simply install the program, create a new profile, click the **Online** section, and search for **NiceWeatherPack**. Then click **Download**.

  3. Click **Play Modded**.

## Updating
  1. Select the **NiceWeatherPack** entry in r2modman and click **Update**.

  2. Check the **Changelog** section at the bottom of this page for a quick rundown of what's different. If there are any mods that have been removed, please manually uninstall them to prevent issues or create a new profile and follow the installation instructions again.

## Overview
This mod pack was made to play with a group of my friends, but feel free to use it as well.
Feel free to use this pack as a baseline to make your own pack.
Quick rundown of what's contained in the modpack:

- The ```manifest.json``` file determines what mods and versions of those mods are in your modpack
- The ```icon.png``` determines the cover image of your modpack
- The ```config``` directory holds all the configuration files for your mods
- The ```.modpack``` is a file that signifies that this "mod" you are uploading to **thunderstore.io** is a modpack
- The ```README.md``` hold information you think the users of this modpack should know

## Change log

### 0.0.6

- reformatting changelog again

### 0.0.5

- reformatted changelog
- re-ordered the dependency list inside ```manifest.json``` to be in alphabetical order according to author name
- updated mods within the pack to latest versions

### 0.0.4

- updated existing mods for RoR2 V1.0.1.1
- Added:

    - StatDisplayPlus
    - Vegeta
    - BanditReloaded
	
- Removed:

    - TruePause
    - RyanSkinAPI
    - RoRCheats

## 0.0.3

- Added more mods:

    - ItemExchangeNotifier
    - DPSMeter
    - TeleporterShow
    - WaxQuailMultiJump
    - Hypercrit
    - StartInBazaar
    - BetterCommandMenu
    - TruePause

## 0.0.2

- Testing modpack update, no actual changes

## 0.0.1

- modpack created, contains:

    - R2API
    - BepInExPack
    - MiniRpcLib
    - RyanSkinAPI
    - ItemStatsMod
    - LunarCoinShareOnPickup
    - TooManyFriends
    - PlayableSora
    - RoRCheats
    - EmptyChestsBeGone
    - Sniper
    - KingModUtilities
    - Goku
    - DropinMultiplayer